{% extends "ajax/game/game.html.twig" %}
{% block title %}{{ 'Alle Foren'|trans({},'global') }}{% endblock %}
{% block menu_text %}
    {{parent()}}
    <li class="back-dash" x-ajax-href="{{ url('game_landing') }}">{{ 'Zum Spiel'|trans({},'global') }}</li>
{% endblock %}

{# @var user \App\Entity\User #}
{# @var forums \App\Entity\Forum[] #}

{% macro drawForum(forum) %}
    {# @var forum \App\Entity\Forum #}
    <div x-ajax-href="{{ url('forum_view', {id: forum.id}) }}" class="forum-preview {% if forum.description is not empty %}forum-preview-desc{% endif %}">
        {% if forum.town %}
            <img alt="" src="{{ asset('build/images/forum/banner/bannerForumVille.gif') }}">
        {% elseif forum.icon is not empty %}
            <img alt="" src="{{ asset('build/images/forum/banner/' ~ forum.icon) }}">
        {% else %}
            <img alt="" src="{{ asset('build/images/forum/banner/bannerForumVoid.gif') }}">
        {% endif %}
        <div>{{ forum.title }}</div>
        {% if forum.description is not empty %}
            <span>{{ forum.description }}</span>
        {% endif %}
    </div>
{% endmacro %}

{% block ajax %}
    <div class="row">
        <div class="cell padded header rw-8 rw-lg-12">
            <div class="cell rw-12 padded">
                {% if forums|length == 0 %}
                    <div class="note">
                        {% trans from 'game' %}
                            Leider gibt es aktuell keine Foren, auf die zu Zugriff hast. Bitte versuche es später erneut.
                        {% endtrans %}
                    </div>
                {% else %}

                    {% set town_forums = forums|filter(f => (f.town and user.aliveCitizen and user.aliveCitizen.town.id == f.town.id)) %}
                    {% if town_forums is not empty %}
                        <h5>{{ 'Stadtforum'|trans({},'global') }}</h5>
                        {% for forum in town_forums %}
                            {{ _self.drawForum(forum) }}
                        {% endfor %}
                    {% endif %}

                    {% set world_forums = forums|filter(f => f.town is empty)|sort((a,b) => (a.type <=> b.type ?? a.id <=> b.id)) %}
                    {% if world_forums is not empty %}
                        <h5>{{ 'Weltforen'|trans({},'global') }}</h5>
                        {% for forum in world_forums %}
                            {{ _self.drawForum(forum) }}
                        {% endfor %}
                    {% endif %}

                    {% set other_forums = forums|filter(f => (f.town and (user.aliveCitizen is null or user.aliveCitizen.town.id != f.town.id))) %}
                    {% if other_forums is not empty %}
                        <h5>{{ 'Andere Foren'|trans({},'global') }}</h5>
                        {% for forum in other_forums %}
                            {{ _self.drawForum(forum) }}
                        {% endfor %}
                    {% endif %}
                {% endif %}
            </div>
        </div>
        <div class="cell padded header rw-4 rw-lg-12">
            <h5>{% trans from 'global' %}Aktionen{% endtrans %}</h5>
            <button x-ajax-href="{{ path('forum_search_wrapper_controller') }}"><img alt="" src="{{ asset('build/images/forum/search.png') }}"> {{ 'Foren durchsuchen'|trans({},'global') }}</button>
            <h5>{% trans from 'welcome' %}Abonnierte Themen{% endtrans %}</h5>
            <div class="cell rw-12 padded">
                {% if subscriptions|length == 0 %}
                    <div class="note">
                        {% trans from 'game' %}
                            Du hast aktuell keine Themen abonniert.
                        {% endtrans %}
                    </div>
                {% else %}
                    <ul class="subscriptions">
                        {% for subscription in subscriptions|reverse %}
                            {# @var subscription \App\Entity\ForumThreadSubscription #}
                            <li class="{{ subscription.num > 0 ? 'new' : '' }}">
                                <span x-ajax-href="{{ path('forum_thread_view', {fid: subscription.thread.forum.id, tid: subscription.thread.id}) }}" >{{ subscription.thread.translatable ? subscription.thread.title|trans({},'game') : subscription.thread.title }}</span>
                                <img x-unsubscribe-api="{{ path('forum_thread_unsubscribe_controller', {fid: subscription.thread.forum.id, tid: subscription.thread.id}) }}" alt="X" src="{{ asset('build/images/icons/small_remove.gif') }}" />
                            </li>
                        {% endfor %}
                    </ul>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        (function() {
            $.html.addEventListenerAll('[x-unsubscribe-api]', 'click', (e,elem) => {
                $.ajax.easySend(elem.getAttribute('x-unsubscribe-api'), {}, () => $.ajax.load(null,'{{ path('forum_list') }}'));
            })
        })();
    </script>

{% endblock %}